# 34. Vaicājums: iegūt atlasītu "Piezīmi" ar visiem "Komentāriem"

Iegūstiet visus “Piezīmes”, kas saistītas ar noteikto “ZonesMap” un noteikto tipu.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums getNotes {
  getFarms(farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"]) {
    uuid
    fields(fieldUuids: ["d31240db-98e6-4cb0-b0a8-97ffe00f5e0d"]) {
      uuid
      nosaukums
      notes(noteUuids: ["53547188-f37c-4d65-9733-f7de4be28e5b"]) {
        uuid
        tips
        komentāri {
          uuid
          teksts
          izveidesDatums
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/34.-vaicajums-iegut-atlasitu-piezimi-ar-visiem-komentariem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
